<?
	#---------------------------------------------------------------------#
	# This source code is (c)2000 White Pajamas, Inc                      #
	# see http://www.stonekeep.com/license.html for licensing information #
	#---------------------------------------------------------------------#

	#--------------------------------------------------------------------
	# $Id: sybase.php3,v 1.5 2000/12/14 19:14:01 shevett Exp $
	#----------------------------------------------------------------------------

	#----------------------------------------------------------------------------
	# PHP Database independent for PTS supporting: sybase
	#----------------------------------------------------------------------------

	function db_connect($target) {
		global $dbhost,$dbname,$server,$port,$options,$tty,$conn;
		sybase_connect($dbhost);
	};

	function db_query($qstring) {
		global $dbhost,$dbname,$server,$conn;
		$result = sybase($dbname,"$qstring");
		return $result;
	};

	function db_numrows($qhandle) {
		global $dbhost,$dbname,$server;
		$result = sybase_numrows($qhandle);
		return $result;
	};

	function db_result($qhandle,$row,$field) {
		global $dbhost,$dbname,$server;
		$result = sybase_result($qhandle,$row,$field);
		return $result;
	};

	function db_listfields($tname) {
		global $dbhost,$dbname,$server,$port,$options,$tty,$conn,$last_table;
		$result = sybase_Listfields($dbname,$tname);
		return $result;
	};

	function db_numfields($lhandle) {
		global $dbhost,$dbname,$server;
		$result = sybase_numfields($lhandle);
		return $result;
	};


	function db_fieldname($lhandle,$fnumber) {
		global $dbhost,$dbname,$server;
		$result = sybase_fieldname($lhandle,$fnumber);
		return $result;
	};

	function db_fieldtype($lhandle,$which) {
		global $dbhost,$dbname,$server;
		$result = sybase_fieldtype($lhandle,$which);
		return $result;
	};

	function db_fieldlen($lhandle,$which) {
		global $dbhost,$dbname,$server,$port,$options,$tty,$conn,$last_table;
		$result=sybase_fieldlen($lhandle,$which);
		return $result;
	};

	function db_affected_rows($qhandle) {
		$result = sybase_affected_rows();
		return $result;
	};
	
	function db_fetch_array($qhandle) {
		$result = sybase_fetch_array($qhandle);
		return $result;
	};

?>

